function y = LNmixdensity(ST,m,s,p);

% The mixed LN density is a sum of weighted individual LN densities.
for i=1:length(m);
	f(i) = p(i)*exp(-((log(ST)-m(i))/s(i))^2/2) / ST / sqrt(2*pi) / s(i);
end

y = sum(f);